idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.Erasure

Description

Synopsis

- performUsageAnalysis :: [Name] -> Idris [Name]
- mkFieldName :: Name -> Int -> Name

# Documentation

performUsageAnalysis :: [Name] -> Idris [Name] #

Perform usage analysis, write the relevant information in the internal structures, returning the list of reachable names.

mkFieldName :: Name -> Int -> Name #

Make a field name out of a data constructor name and field number.